class Product < ActiveRecord::Base
  validates :title, :sku, :price, presence: true
  validates :price, numericality: true

  has_attached_file :image, styles: { medium: "700x900>", thumb: "120x80>"}, default_url: "/images/:style/missing.png"

  extend FriendlyId
  friendly_id :title, use: [:slugged, :finders]
end
